/*
    Calcula o produto escalar de dois vetores de inteiros de no máximo 100 números.

    O produto escalar (x1, x2, ..., xn) e (y1, y2, ..., yn) é x1*y1 + x2*y2 + ... + xn*yn.

    Esta versão usa o produto de Hadamard para calcular o produto escalar.
*/

#include <stdio.h>

void le_vetor(int lista[], int n) {
  printf("Digite %d números\n", n);
  for (int i = 0; i < n; i++)
    scanf("%d", &lista[i]);
}

void imprime_vetor(int vetor[], int n) {
    for (int i = 0; i < n; i++)
        printf("%d ", vetor[i]);
    printf("\n");
}

void hadamard(int vetor1[], int vetor2[], int n, int resultado[]) {
    for (int i = 0; i < n; i++)
        resultado[i] = vetor1[i] * vetor2[i];
}

int soma(int vetor[], int n) {
    int soma = 0;
    for (int i = 0; i < n; i++)
        soma += vetor[i];
    return soma;
}

int main() {
    int n, produto, vetor1[100], vetor2[100], resultado[100];
    printf("Digite o tamanho dos vetores\n");
    scanf("%d", &n);
    le_vetor(vetor1, n);
    le_vetor(vetor2, n);
    hadamard(vetor1, vetor2, n, resultado);
    produto = soma(resultado, n);
    printf("Produto escalar: %d\n", produto);
    return 0;
}